Subject: Re: [PATCH 3/4] t5510: prefer "git -C" to subshell for followRemoteHEAD tests

From: Junio C Hamano <[email-masked]>
Date: Tue, 26 Aug 2025 07:58:35 -0700

Jeff King <[email-masked]> writes:

>> Unfortunately I tend to agree.  A few downsides I find a bit
>> problematic in the subshell solution are
>> [...]
>
> OK, I am happy to drop that patch (3/4). The resulting change to the
> final patch to match style would be:
> ...
> But both patches are already in 'next'. How do you want to proceed? I
> can prepare a patch on top converting back to sub-shells. Or if we are
> going to do the post-release rewind of next, that is an opportunity to
> fix things cleanly. Or we could leave it as-is if it is not worth the
> bother at this point.

The last one ;-).  This is the kind of preference that falls into
"once the code is written in one way, it is not worth the patch
noise to rewrite it in the other way" category.